package com.pcloud.book.skill.dao;

import com.pcloud.book.skill.entity.PcloudSubReply;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PcloudSubReplyDao extends BaseDao<PcloudSubReply> {

    Integer batchInsert(List<PcloudSubReply> list);

    void deleteByPcloudSkillId(Long pcloudSkillId);

    List<PcloudSubReply> getListByPcloudSkillId(Long pcloudSkillId);

    List<PcloudSubReply> getListByPcloudSkillIds(List<Long> pcloudSkillIds);

    List<PcloudSubReply> getBySkillIdAndType(Long skillId, Integer subType);
}
